/*
 * This file was generated by the Gradle 'init' task.
 *
 * This is a general purpose Gradle build.
 * Learn how to create Gradle builds at https://guides.gradle.org/creating-new-gradle-builds/
 */

apply plugin: 'java'
apply plugin: 'eclipse'
apply plugin: 'application'

group = groupName
version = versionNumber

//application allows the Task 'run' which runs the main class
mainClassName = "de.tu_darmstadt.tk.SmartHomeNetworkSim.Main"

repositories {
	jcenter()
}

//Creates the Jar
jar {
    manifest {
        attributes 'Main-Class': 'de.tu_darmstadt.tk.SmartHomeNetworkSim.Main'
    }
}

test {
	ignoreFailures = true
}

//Runs the created Jar
task runIt(dependsOn:jar) {
    doLast {
        javaexec { 
            main="-jar"; args jar.archivePath
        }
    }
}

dependencies {
	compile 'org.pcap4j:pcap4j-core:1.+'
	compile 'org.pcap4j:pcap4j-packetfactory-static:1.+'
	// https://mvnrepository.com/artifact/org.apache.commons/commons-math3
	compile group: 'org.apache.commons', name: 'commons-math3', version: '3.6.1'
	//compile group: 'nz.ac.waikato.cms.weka', name: 'weka-stable', version: '3.8.0'
	compile fileTree(include: ['*.jar'], dir: 'libs')
	
	testCompile 'junit:junit:4.12'
}
